
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;; MODULE      : menu-edit.scm
;; DESCRIPTION : the edit menu
;; COPYRIGHT   : (C) 1999  Joris van der Hoeven
;;
;; This software falls under the GNU general public license and comes WITHOUT
;; ANY WARRANTY WHATSOEVER. See the file $TEXMACS_PATH/LICENSE for details.
;; If you don't have this file, write to the Free Software Foundation, Inc.,
;; 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(texmacs-module (menus menu-edit)
  (:use (texmacs tools tm-select)))

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; The Edit menu
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(menu-bind edit-menu
  ("Undo" (undo))
  ("Redo" (redo))
  ---
  (when (selection-active-any?)
	("Copy" (clipboard-copy "primary"))
	("Cut" (clipboard-cut "primary")))
  ("Paste" (clipboard-paste "primary"))
  ("Clear" (clipboard-clear "primary"))
  ---
  ("Search" ... (search-start #t))
  ("Replace" ...
   (interactive '("Replace:" "Replace by:") 'replace-start-forward))
  ("Spell" ... (spell-start))
  ---
  (when (selection-active-any?)
	(-> "Copy to"
	    ("TeXmacs" (clipboard-copy-export "TeXmacs" "primary"))
	    ("LaTeX" (clipboard-copy-export "latex" "primary"))
	    ("HTML" (clipboard-copy-export "html" "primary"))
	    ("XML" (clipboard-copy-export "xml" "primary"))
	    ("Scheme" (clipboard-copy-export "scheme" "primary"))
	    ("Verbatim" (clipboard-copy-export "verbatim" "primary"))
	    ---
	    ("Primary" (clipboard-copy "primary"))
	    ("Secondary" (clipboard-copy "secondary"))
	    ("Ternary" (clipboard-copy "ternary"))
	    ---
	    ("Other" ... (interactive '("Copy to:") 'clipboard-copy)))
	(-> "Cut to"
	    ("TeXmacs" (clipboard-cut-export "TeXmacs" "primary"))
	    ("LaTeX" (clipboard-cut-export "latex" "primary"))
	    ("HTML" (clipboard-cut-export "html" "primary"))
	    ("XML" (clipboard-cut-export "xml" "primary"))
	    ("Scheme" (clipboard-cut-export "scheme" "primary"))
	    ("Verbatim" (clipboard-cut-export "verbatim" "primary"))
	    ---
	    ("Primary" (clipboard-cut "primary"))
	    ("Secondary" (clipboard-cut "secondary"))
	    ("Ternary" (clipboard-cut "ternary"))
	    ---
	    ("Other" ... (interactive '("Cut to:") 'clipboard-cut))))
  (-> "Paste from"
      ("TeXmacs" (clipboard-paste-import "TeXmacs" "primary"))
      ("LaTeX" (clipboard-paste-import "latex" "primary"))
      ("HTML" (clipboard-paste-import "html" "primary"))
      ("XML" (clipboard-paste-import "xml" "primary"))
      ("Scheme" (clipboard-paste-import "scheme" "primary"))
      ("Verbatim" (clipboard-paste-import "verbatim" "primary"))
      ---
      ("Primary" (clipboard-paste "primary"))
      ("Secondary" (clipboard-paste "secondary"))
      ("Ternary" (clipboard-paste "ternary"))
      ---
      ("Other" ... (interactive '("Paste from:") 'clipboard-paste)))
  ---
  (-> "Preferences"
      (link preferences-menu)))
