
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;; MODULE      : menu-tools.scm
;; DESCRIPTION : the tools menu
;; COPYRIGHT   : (C) 1999  Joris van der Hoeven
;;
;; This software falls under the GNU general public license and comes WITHOUT
;; ANY WARRANTY WHATSOEVER. See the file $TEXMACS_PATH/LICENSE for details.
;; If you don't have this file, write to the Free Software Foundation, Inc.,
;; 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(texmacs-module (menus menu-tools))

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; The Tools menu
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(menu-bind tools-menu
  (-> "Execute"
      ("Execute system command" ... (interactive '("Command:") 'system))
      ("Evaluate scheme expression" ...
       (interactive '("Command:") 'footer-eval)))
  (-> "Selections"
      (-> "Import"
	  ("TeXmacs" (clipboard-set-import "TeXmacs"))
	  ("LaTeX" (clipboard-set-import "latex"))
	  ("HTML" (clipboard-set-import "html"))
	  ("XML" (clipboard-set-import "xml"))
	  ("Scheme" (clipboard-set-import "scheme"))
	  ("Verbatim" (clipboard-set-import "verbatim")))
      (-> "Export"
	  ("TeXmacs" (clipboard-set-export "TeXmacs"))
	  ("LaTeX" (clipboard-set-export "latex"))
	  ("HTML" (clipboard-set-export "html"))
	  ("XML" (clipboard-set-export "xml"))
	  ("Scheme" (clipboard-set-export "scheme"))
	  ("Verbatim" (clipboard-set-export "verbatim"))))
  (-> "Update"
      ("Image links" (postscript-gc))
      ("Inclusions" (inclusions-gc))
      ("Styles" (style-clear-cache)))
  (if (not (null? (menu-get 'test-menu)))
      ---
      (link test-menu)))
